import request from '@/utils/request'

// 考勤配置-列表
export function getAttendanceConfigurationList(query) {
  return request({
    url: '/project/attendance/attendanceConfigurationList',
    method: 'get',
    params: query
  })
}

// 考勤配置-是否启用
export function enabledOrNot(data) {
  return request({
    url: '/project/attendance/enabledOrNot',
    method: 'post',
    data
  })
}

// 考勤配置-编辑
export function attendanceConfigurationForm(query) {
  return request({
    url: '/project/attendance/attendanceConfigurationForm',
    method: 'get',
    params: query
  })
}

// 考勤配置-保存
export function attendanceConfigurationSave(data) {
  return request({
    url: '/project/attendance/attendanceConfigurationSave',
    method: 'post',
    data
  })
}

// 考勤记录-列表
export function getAttendanceRecordList(query) {
  return request({
    url: '/project/attendance/attendanceRecordList',
    method: 'get',
    params: query
  })
}

// 考勤记录-详情
export function attendanceRecordDetail(query) {
  return request({
    url: '/project/attendance/attendanceRecordDetail',
    method: 'get',
    params: query
  })
}

// 考勤记录-月报
export function attendanceRecordMonthDetail(query) {
  return request({
    url: '/project/attendance/attendanceRecordMonthDetail',
    method: 'get',
    params: query
  })
}

// 人员考勤-列表
export function getAttendancePersonList(query) {
  return request({
    url: '/project/attendance/attendancePersonList',
    method: 'get',
    params: query
  })
}

// 人员考勤-详情
export function listPersonnelInformation(query) {
  return request({
    url: '/project/attendance/listPersonnelInformation',
    method: 'get',
    params: query
  })
}

// 每日考勤记录上传-列表
export function getAttendanceRecordUploadList(query) {
  return request({
    url: '/project/attendance/attendanceRecordUploadList',
    method: 'get',
    params: query
  })
}

// 每日考勤记录上传-人员列表
export function getPersonList(query) {
  return request({
    url: '/project/attendance/attendanceRecordUploadPersonList',
    method: 'get',
    params: query
  })
}

// 每日考勤记录上传-新增
export function attendanceRecordUploadPersonAdd(data) {
  return request({
    url: '/project/attendance/attendanceRecordUploadPersonAdd',
    method: 'post',
    data
  })
}

// 每日考勤记录上传-删除
export function attendanceRecordUploadPersonDel(data) {
  return request({
    url: '/project/attendance/attendanceRecordUploadPersonDel',
    method: 'post',
    data
  })
}